=== modified file '.bzrignore'
--- .bzrignore	2011-11-18 02:03:41 +0000
+++ .bzrignore	2011-12-12 06:45:20 +0000
@@ -380,3 +380,4 @@
 libdrizzle-2.0/drizzle_password_hash
 libdrizzle-2.0/mysql_password_hash
 tags
+libdrizzle-1.0/t/c_test

=== modified file 'libdrizzle-1.0/include.am'
--- libdrizzle-1.0/include.am	2011-12-08 17:37:11 +0000
+++ libdrizzle-1.0/include.am	2011-12-12 06:45:20 +0000
@@ -36,6 +36,8 @@
 
 lib_LTLIBRARIES+= libdrizzle-1.0/libdrizzle.la
 
+include libdrizzle-1.0/t/include.am
+
 libdrizzle_1_0_libdrizzle_la_CXXFLAGS= \
 				       ${CFLAG_VISIBILITY} \
 				       -DBUILDING_LIBDRIZZLE

=== added directory 'libdrizzle-1.0/t'
=== added file 'libdrizzle-1.0/t/c_test.c'
--- libdrizzle-1.0/t/c_test.c	1970-01-01 00:00:00 +0000
+++ libdrizzle-1.0/t/c_test.c	2011-12-12 06:45:20 +0000
@@ -0,0 +1,58 @@
+/*  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ * 
+ *  Libdrizzle C test
+ *
+ *  Copyright (C) 2011 Brian Aker, brian@tangent.org 
+ *  All Rights Reserved.
+ *
+ *  Redistribution and use in source and binary forms, with or without
+ *  modification, are permitted provided that the following conditions are
+ *  met:
+ *
+ *      * Redistributions of source code must retain the above copyright
+ *  notice, this list of conditions and the following disclaimer.
+ *
+ *      * Redistributions in binary form must reproduce the above
+ *  copyright notice, this list of conditions and the following disclaimer
+ *  in the documentation and/or other materials provided with the
+ *  distribution.
+ *
+ *      * The names of its contributors may not be used to endorse or
+ *  promote products derived from this software without specific prior
+ *  written permission.
+ *
+ *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+ *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+ *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+ *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+ *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+ *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+ *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+ *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ *
+ */
+
+/*
+ * @file @brief C dummy test, aka testing C linking, etc
+ */
+
+#include <stdlib.h>
+
+#include <libdrizzle-1.0/drizzle_client.h>
+
+int main(void)
+{
+  drizzle_st *driz= drizzle_create(NULL);
+  
+  if (driz == NULL)
+  {
+    return EXIT_FAILURE;
+  }
+  drizzle_free(driz);
+
+  return EXIT_SUCCESS;
+}
+

=== added file 'libdrizzle-1.0/t/include.am'
--- libdrizzle-1.0/t/include.am	1970-01-01 00:00:00 +0000
+++ libdrizzle-1.0/t/include.am	2011-12-12 06:45:20 +0000
@@ -0,0 +1,9 @@
+# vim:ft=automake
+
+# Test linking with C application
+libdrizzle_1_0_t_c_test_SOURCES= libdrizzle-1.0/t/c_test.c
+libdrizzle_1_0_t_c_test_LDADD= libdrizzle-1.0/libdrizzle.la
+libdrizzle_1_0_t_c_test_DEPENDENCIES= libdrizzle-1.0/libdrizzle.la
+check_PROGRAMS+= libdrizzle-1.0/t/c_test
+noinst_PROGRAMS+= libdrizzle-1.0/t/c_test
+

